package com.amphinicy.mhp.communication.xlet;

import com.amphinicy.mhp.communication.client.*;
import com.amphinicy.mhp.communication.client.DatagramSocketController;

public class EchoDatagramSocketClient
    extends EchoClient
{
  private static final int DEFAULT_PORT = 6789;
  private static final int DATAGRAM_CLIENT_PORT = 6788;

  /**
   * Create datagram socket controller
   * @return Controller
   */
  protected Controller createController()
  {
    try {
      // Connect to localhost, client port DATAGRAM_CLIENT_PORT,
      // server port DEFAULT_PORT
      return new DatagramSocketController("127.0.0.1",
                                          DATAGRAM_CLIENT_PORT,
                                          DEFAULT_PORT);
    }
    catch (ControllerException ex) {
      ex.printStackTrace();
    }
    return null;
  }

}

